Bug 1482220 - Kernel 4.12 with nouveau does not load GNOME
Summary: Kernel 4.12 with nouveau does not load GNOME
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: Fedora
Classification: Fedora
Component: kernel
Version: 26
Hardware: x86_64
OS: Linux
unspecified
high
Target Milestone: ---
Assignee: Kernel Maintainer List
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-08-16 19:02 UTC by rosenp
Modified: 2018-02-28 04:28 UTC (History)
10 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-02-28 04:28:02 UTC
Type: Bug


Attachments (Terms of Use)

Description rosenp 2017-08-16 19:02:45 UTC
Description of problem:

There's an i2c problem with nouveau that is fixed in 4.13 but has not been backported to 4.12. 4.11 also has this problem (EOL).


Version-Release number of selected component (if applicable):
kernel-4.12.5

How reproducible:
Always

Steps to Reproduce:
1. Boot with specific kernel
2. Watch the display be duplicated 4 times (on a 4k display, 3 on a 3k display).
3. Watch GNOME fail to load

Actual results:
GNOME loads

Expected results:
GNOME does not load

Additional info:

kernel commit which needs to be backported is here:

https://git.kernel.org/pub/scm/linux/kernel/git/torvalds/linux.git/commit/drivers/gpu/drm/nouveau?h=v4.13-rc5&id=13a86519202c5d119d83640d6f781f3181205d2c

This affects my GTX 980 and GTX 1080.

Comment 1 Oleg Kochkin 2017-08-16 19:37:04 UTC
In KDE with the kernel 4.12.5-300, the GTK programs (firefox and thunderbird) freeze when they try to call the menu. I use nouveau driver.

This problem after last kernel update. With kernel 4.11.11-300 - GTK programms normal work.

Comment 2 rosenp 2017-08-16 19:40:54 UTC
(In reply to Oleg Kochkin from comment #1)
> In KDE with the kernel 4.12.5-300, the GTK programs (firefox and
> thunderbird) freeze when they try to call the menu. I use nouveau driver.
> 
> This problem after last kernel update. With kernel 4.11.11-300 - GTK
> programms normal work.

that's a different issue. If you can even load KDE, i2c is not a problem for you.

Comment 3 Oleg Kochkin 2017-09-02 11:34:59 UTC
My problem disappeared with the kernel 4.12.9...

Comment 4 Ambrogio 2017-09-19 06:44:50 UTC
I had similar problem with kernels:
4.12.9-300 
4.12.11-300
4.12.13-300

No problems with 4.11.11-300

I submitted a first bug with an extract of kernel logs on the nouveau subsection.
Bugs number 1488305

https://bugzilla.redhat.com/show_bug.cgi?id=1488305

No way to upgrade to a working new kernel.
I will try also the Nvidia driver to see if it works.

Comment 5 Laura Abbott 2018-02-28 03:43:30 UTC
We apologize for the inconvenience.  There is a large number of bugs to go through and several of them have gone stale. The kernel moves very fast so bugs may get fixed as part of a kernel update. Due to this, we are doing a mass bug update across all of the Fedora 26 kernel bugs.
 
Fedora 26 has now been rebased to 4.15.4-200.fc26.  Please test this kernel update (or newer) and let us know if you issue has been resolved or if it is still present with the newer kernel.
 
If you have moved on to Fedora 27, and are still experiencing this issue, please change the version to Fedora 27.
 
If you experience different issues, please open a new bug report for those.


Note You need to log in before you can comment on or make changes to this bug.